Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-drivers-96. on 3.7.10 does not compile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
lostinspace2011
Apprentice
Apprentice


Joined: 09 Sep 2005
Posts: 185

PostPosted: Sat Apr 06, 2013 1:35 pm    Post subject: nvidia-drivers-96. on 3.7.10 does not compile Reply with quote

I have got nvidia-drivers-96.43.20 installed, but since upgrading to a more recent kernel, 3.7.10, I am no longer able to compile the nvidia-driver. I believe either


  • The driver has changes between 96.43.20 (installed) and 96.43.23 (current)
  • The kernel has changes between 3.7.9 (I believe this version worked with 96.43.20) and 3.7.10


In any case I am now getting this error:

Quote:
* ERROR: x11-drivers/nvidia-drivers-96.43.23 failed (compile phase):
* Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS= IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux SYSOUT=/lib/modules/3.7.10-gentoo/build CC=i686-pc-linux-gnu-gcc PATCHLEVEL=not4 clean module
*
* Call stack:
* ebuild.sh, line 93: Called src_compile
* environment, line 3910: Called linux-mod_src_compile
* environment, line 2776: Called die
* The specific snippet of code:
* eval "emake HOSTCC=\"$(tc-getBUILD_CC)\" CROSS_COMPILE=${CHOST}- LDFLAGS=\"$(get_abi_LDFLAGS)\" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
*


Any suggestion on what to do to restore driver support, other than to downgrade, or get a newer graphics card ?
Back to top
View user's profile Send private message
BradN
Advocate
Advocate


Joined: 19 Apr 2002
Posts: 2381
Location: Wisconsin (USA)

PostPosted: Sat Apr 06, 2013 5:59 pm    Post subject: Reply with quote

The actual error is probably further up in the output, the part you posted basically just says 'something went wrong during compile'.
Back to top
View user's profile Send private message
lostinspace2011
Apprentice
Apprentice


Joined: 09 Sep 2005
Posts: 185

PostPosted: Sat Apr 06, 2013 10:20 pm    Post subject: Reply with quote

Here is the complete output.


Quote:
emerge nvidia-drivers

* IMPORTANT: 19 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) x11-drivers/nvidia-drivers-96.43.23
* NVIDIA-Linux-x86-96.43.23-pkg0.run SHA256 SHA512 WHIRLPOOL size ;-) ... [ ok ]
* Determining the location of the kernel source code
* Found kernel source directory:
* /usr/src/linux
* Found kernel object directory:
* /lib/modules/3.7.10-gentoo/build
* Found sources for kernel version:
* 3.7.10-gentoo
* Checking for MTRR support ... [ ok ]
* Gentoo supports kernels which are supported by NVIDIA
* which are limited to the following kernels:
* <sys-kernel/gentoo-sources-3.7
* <sys-kernel/vanilla-sources-3.7
*
* You are free to utilize epatch_user to provide whatever
* support you feel is appropriate, but will not receive
* support as a result of those changes.
>>> Unpacking source...
mkdir: cannot create directory '/var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work/': File exists
>>> Unpacking NVIDIA-Linux-x86-96.43.23-pkg0.run to /var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work
>>> Source unpacked in /var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work
>>> Preparing source in /var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work ...
* Applying NVIDIA_glx-defines.patch ... [ ok ]
* Applying NVIDIA_glx-glheader.patch ... [ ok ]
* Converting /usr/src/nv/Makefile.kbuild to use M= instead of SUBDIRS= ... [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/x11-drivers/nvidia-drivers-96.43.23/work ...
* Preparing nvidia module
make -j1 HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS= IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux SYSOUT=/lib/modules/3.7.10-gentoo/build CC=i686-pc-linux-gnu-gcc PATCHLEVEL=not4 clean module
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***
Back to top
View user's profile Send private message
Gusar
Advocate
Advocate


Joined: 09 Apr 2005
Posts: 2641
Location: Slovenia

PostPosted: Sat Apr 06, 2013 10:30 pm    Post subject: Reply with quote

From the ebuild:
Code:
   if use kernel_linux && kernel_is ge 3 7 ; then
      ewarn "Gentoo supports kernels which are supported by NVIDIA"
      ewarn "which are limited to the following kernels:"
      ewarn "<sys-kernel/gentoo-sources-3.7"
      ewarn "<sys-kernel/vanilla-sources-3.7"
      ewarn ""
      ewarn "You are free to utilize epatch_user to provide whatever"
      ewarn "support you feel is appropriate, but will not receive"
      ewarn "support as a result of those changes."
   fi

Which means you need to add patches for newer kernels yourself. There's a bug in bugzilla that has the relevant patches for 3.7 and 3.8
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum